--- old/usr/src/tools/smatch/src/check_double_checking.c	Mon Nov 18 13:18:44 2019
+++ new/usr/src/tools/smatch/src/check_double_checking.c	Mon Nov 18 13:18:44 2019
@@ -47,9 +47,9 @@
 	if (expr->type == EXPR_COMPARE &&
 	    (expr->op == SPECIAL_EQUAL ||
 	     expr->op == SPECIAL_NOTEQUAL)) {
-		if (is_zero(expr->left))
+		if (expr_is_zero(expr->left))
 			return strip_condition(expr->right);
-		if (is_zero(expr->right))
+		if (expr_is_zero(expr->right))
 			return strip_condition(expr->left);
 	}
 
@@ -131,6 +131,9 @@
 	struct position prev_pos;
 	char *ident;
 
+	if (!__cur_stmt)
+		return 0;
+
 	if (__prev_stmt) {
 		prev_pos = __prev_stmt->pos;
 		prev_pos.line -= 3;
